Subject: bibliographic request

From: "Charles V. Covell Jr." <[email-masked]>
Date: Sat, 11 Mar 1995 09:16:45 EST

Dept. of Biology, Univ. of Louisville, Louisville, KY 40292
PHONE: (502) 852-6771

Fellow Leps-netters:  I humbly apologize for giving a personal response to
Gerardo Lamas over the net, and also bothering you with having to clear this
message as well!  See you at the Lep. Soc. meeting this summer in Minneapolis.
It is bound to be a well-planned meeting.  Also, if any of you are not members
of the Lepidopterists' Society and wish an application, I will be happy to
send one if you ask.  Charlie